Skip to main content
GET
/
{alias}
/
orders
/
{id}
/
transactions
Listar transações de um pedido
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/orders/{id}/transactions \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
{
  "data": [
    {
      "id": 123,
      "customer_id": 123,
      "payment_id": 123,
      "affiliation_id": 123,
      "marketplace_id": 123,
      "marketplace_account_id": 123,
      "authorized": true,
      "captured": true,
      "cancelled": true,
      "can_be_captured": true,
      "can_be_cancelled": true,
      "gateway_transaction_id": 123,
      "gateway_order_id": 123,
      "gateway_authorization_code": "<string>",
      "gateway_billet_id": 123,
      "amount": 123,
      "buyer_amount": 123,
      "installment_value": 123,
      "buyer_installment_value": 123,
      "installments": 123,
      "installment_formated": "<string>",
      "buyer_installment_formated": "<string>",
      "status": "<string>",
      "error_message": "<string>",
      "bank_name": "<string>",
      "bank_alias": "<string>",
      "truncated_card": "<string>",
      "holder_name": "<string>",
      "holder_document": "<string>",
      "billet_url": "<string>",
      "billet_barcode": "<string>",
      "billet_date": "<string>",
      "billet_our_number": "<string>",
      "billet_document_number": "<string>",
      "billet_whatsapp_link": "<string>",
      "antifraud_sale_id": 123,
      "antifraud_status": "<string>",
      "antifraud_score": "<string>",
      "sent_to_antifraud": "<string>",
      "total_logs": 123,
      "error_code": 123,
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "capture_date": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "authorized_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "captured_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "cancelled_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "payment": {
        "data": {
          "id": 123,
          "alias": "<string>",
          "name": "<string>",
          "has_config": true,
          "active_config": true,
          "is_credit_card": true,
          "is_deposit": true,
          "is_billet": true,
          "is_pix": true,
          "is_pix_in_installments": true,
          "is_wallet": true,
          "icon_url": "<string>"
        }
      },
      "metadata": [
        {
          "key": "discount_highlight",
          "value": "pix"
        }
      ]
    }
  ],
  "meta": {
    "pagination": {
      "total": "10",
      "count": "30",
      "per_page": "10",
      "current_page": "1",
      "total_pages": "3",
      "links": {
        "previous": "",
        "next": ""
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yampi.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do pedido

Response

Lista de transações do pedido

Representa uma paginação com meta

data
object[]
meta
object